=== gopath/src/launchpad.net/hockeypuck/debian/changelog ===
hockeypuck (0.8.1) precise; urgency=low

  [ Casey Marshall ]
  * mgo/worker.go, mgo/worker_test.go, pgp.go, pgp_types.go,
    pq/worker.go, responses.go:
    - Updates wrt go.crypto branch packet.Read.
    - Fixed an issue where valid public keys preceding an
      invalid public key were not send to the channel.
      LP: #1090980
  * pgp.go, pgp_types.go:
    - Updated unknown/unsupported packet parsing wrt
      changes in go.crypto merge.

 -- Casey Marshall <casey.marshall@gazzang.com>  Tue, 22 Jan 2013 21:10:03 -0600

hockeypuck (0.8) precise; urgency=low

  [ Casey Marshall ]
  * Opening 0.8 milestone.
  * cmd/lspgp/main.go, cmd/pktdump/main.go, mgo/worker.go,
    mgo/worker_test.go, pgp.go, pgp_types.go, pq/worker.go,
    responses.go:
    - Switch go.crypto from my fork to proper trunk source.
  * instroot/var/lib/hockeypuck/www/fonts/Droid_Sans =>
    instroot-extra/var/lib/hockeypuck/www/fonts/Droid_Sans
    scripts/crossbuild.sh:
    - Move droid sans font out of debian instroot, used only
      in cross-compile tar build.

  [ Dustin Kirkland ]
  * debian/manpages, debian/install, debian/rules,
    instroot/etc/init/hockeypuck-mgo.conf => debian/upstart,
    removed directory instroot/etc/init:
    - A handful of packaging recommendations

 -- Casey Marshall <casey.marshall@gazzang.com>  Tue, 22 Jan 2013 11:00:00 -0600

hockeypuck (0.7) precise; urgency=low

  [ Casey Marshall ]
  * Opening 0.7 milestone.
  * cli/cli.go, cmd/hockeypuck-mgo/main.go, mgo/pks.go, mgo/worker.go,
    pks.go, worker.go:
    - Add support for PKS forwarding. LP: #1075379
  * cli/cli.go, cmd/hockeypuck-mgo/main.go, mgo/worker.go, pks.go,
    worker.go:
    - Consolidate PKS configuration from switches.
    - Consolidate worker process (goroutine) management.
  * cli/cli.go, cmd/hockeypuck-mgo/main.go, mgo/pks.go, mgo/worker.go,
    pks.go, === removed directory cli, server.go, templates.go,
    worker.go:
  * cli/cli.go, cmd/hockeypuck-mgo/main.go, config.go, log.go,
    mgo/client.go, mgo/pks.go, mgo/worker.go, pks.go, === removed
    directory cli, server.go, templates.go, worker.go:
    - Move command line flags to associated components,
      split out config file parsing.
    - Pull up common mgo client connection, reuse in worker & pks sync.
    - Fix net/smtp usage in PKS sync, added backoff delay on SMTP errors.
      LP: #1075379
  * etc/hockeypuck/hockeypuck.conf, mgo/worker.go, pgp_types.go, pks.go:
    - Clean up commented out config example settings.
    - Store cumulative digest of key's packets, only update when changed.
      LP: #1083061
    - Only use *PksTo flag if set. Only log pks poll sleep time if there was a
      retry on SMTP error.
  * mgo/client.go:
    - Simplify ensuring indexes. Added keys.mtime.
  * cmd/hockeypuck-mgo/main.go, debian/postinst, version.go:
    - Add -version flag, setting version file from changelog in postinst.
  * hkp_types.go, mgo/client.go, mgo/pks.go, mgo/worker.go,
    responses.go, server.go, templates.go, worker.go,
    www/templates/layout.tmpl, www/templates/pks/index.tmpl,
    status_types.go, www/templates/pks/status.tmpl:
    - Add op=status page. LP: #1075391
    - Cache last PKS sync status for op=status response.
    - Expose Hostname:Port in Lookup for op=status.
    - MongoDB: Ensure unique index on pksStat.addr.
    - Fixed template context passthru issues.
  * www/templates/header.tmpl:
    - Add link to PKS status page. LP: #1075391
  * mgo/keystats.go:
    - Add map-reduce to calculate hourly and daily totals of
      key creation and modification. LP: #1075391
  * cmd/hockeypuck-mgo/main.go, mgo/client.go, mgo/keystats.go,
    mgo/worker.go, status_types.go, www/templates/pks/status.tmpl:
    - Integrate key stats into op=status page, MR, query fixes.
      LP: #1075391
  * === added directory instroot, etc., scripts/crossbuild.sh:
    - Relocate static system installed files to instroot.
    - Added cross-compilation script. LP: #1086192
  * scripts/crossbuild.sh:
    - Add dist tarball creation.
  * debian/control, debian/install, debian/links:
    - Fix lintian warnings. Linking to fonts-droid for Ubuntu package.
  * instroot/usr/share/man/man1/hockeypuck-load.1:
    - Documented -mail-add=true option.
  * scripts/crossbuild.sh:
    - Add version to dist tarballs.

 -- Casey Marshall <casey.marshall@gazzang.com>  Thu, 13 Dec 2012 21:39:31 -0600

hockeypuck (0.6) precise; urgency=low

  [ Casey Marshall ]
  * Opening 0.6 milestone.
  * mgo/worker.go:
    - Fix keyword query iteration. Need to keep allocating new PubKeys,
      was overwriting the same one in the iter loop.
      LP: #1073786
  * cmd/hockeypuck-load/main.go, pgp_types.go, responses.go,
    www/templates/pks/index.tmpl:
    - Display user attribute image subpacket in index templates. LP: #1044773
  * responses.go, www/templates/pks/index.tmpl:
    - Display QR code of public key fingerprint. LP: #1074552
  * www/css/hkp.css, www/templates/header.tmpl:
    - Make logo heading a link.
  * debian/mkdists, debian/rules, Makefile:
    - Remove hockeypuck-pq from binary packages, its not ready for that.
    - Add helper script for slinging multi-distro source packages.
  * cmd/hockeypuck-load/main.go:
    - Add hockeypuck -mail-add option for receiving PKS inbound keys.
      LP: #1075379
  * debian/rules, Makefile:
    - Use the binary targets to get dependencies, use go install
      to build them into local gopath/bin. Simplifies Makefile.
  * mgo/worker.go, pq/worker.go, responses.go, server.go, templates.go,
    worker.go, www/templates/header.tmpl:
    - Create form to add pasted key armor. LP: #1076841
    - /pks/add produces an HTML page confirming added key fingerprints.
    - Clean up ws, cruft.
  * mgo/worker.go, pgp_types.go:
    - Add Ctime & Mtime for status page. LP: #1075391
  * === added directory etc/hockeypuck, cli/cli.go, cmd/hockeypuck-
    mgo/main.go, debian/rules, etc/hockeypuck/hockeypuck.conf,
    etc/init/hockeypuck-mgo.conf:

