=== gopath/src/launchpad.net/hockeypuck/debian/control ===
Source: hockeypuck
Section: net
Priority: optional
Maintainer: Casey Marshall <casey.marshall@gazzang.com>
Build-Depends: debhelper (>= 8.0.0), golang-go
Standards-Version: 3.9.3
Homepage: http://launchpad.net/hockeypuck

Package: hockeypuck
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, fonts-droid
Recommends:
 mongodb-server
Description: OpenPGP Key Server
 Hockeypuck is an OpenPGP Key Server implementing the HTTP Keyserver Protocol.
