## hockeypuck 0.9.0147-0ubuntu1

=== debian/changelog ===
hockeypuck (0.9.0147-0ubuntu1) raring; urgency=low

  * Updating Ubuntu to upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 04 Mar 2013 14:56:24 -0600

hockeypuck (0.9.0147~raring) raring; urgency=low

  [ Casey Marshall ]
  * hkp_types.go, mgo/worker.go, responses.go, server.go,
    status_types.go, worker.go:
    - Added op=stats&options=json response to support spiders.
      LP: #1105592
  * mgo/worker.go, pgp.go, worker.go:
    - Split UID keywords into letter/digit tokens for search.
      LP: #1108416
    - Using $all on search terms in mongo query.
  * scripts/fix-keywords.js:
    - Add script to repair uid keywords in existing Hockeypuck.
  * pgp_types.go, responses.go:
    - Display uat:::: placeholder in machine readable output.
      LP: #1104703
    - Removed debug print statement.
    - Uppercased fingerprint in machine readable output.
  * cmd/hockeypuck-mgo/main.go, mgo/client.go, mgo/keystats.go,
    mgo/pks.go, mgo/worker.go, pgp.go, pgp_types.go, responses.go,
    strings.go:
    - Several MongoDB improvements:
      - Leverage reversed fingerprint for long, short keyid lookup
        with regex indexed query, removed indexed on these.
        LP: #1128565
      - Replace map-reduce generated stats with time-bucket
        increments on load. LP: #1128611
    - Remove invalid UTF-8 characters from uid strings.
    - Reversed issuer key ID in signature for faster lookups
      (anchored regex for mongo, prefixed LIKE for RDBMS).
  * instroot/var/lib/hockeypuck/www/templates/pks/index.tmpl,
    mgo/keystats.go, mgo/worker.go, pgp.go, pgp_types.go, responses.go:
    - Require valid UID self-sign to load key material. LP: #1128561
    - Send proper key var to stats channel on insert/update.
    - Get UID of signature keyid in LookupKey(s), display in vindex.
      LP: #1120869
    - Aggregate loading statistics, bulk upsert increments to
      reduce mongodb load. LP: #1128611
  * mgo/worker.go, pgp.go, pgp_test.go, pgp_types.go, responses.go,
    strings.go:
    - Link all supported hash algorithms into runtime.
    - Recover from panic due to missing hash algorithm in
      key material verification, return as error.
    - Verify subkey signatures. LP: #1128561
    - Add unit test to catch invalid UID with missing self-sig
      LP: #1128561
    - Remove unused goroutine from checkValidSignatures.
  * mgo/worker.go, pgp.go, pgp_test.go:
    - Verify user attribute packets too. Some unsigned images
      cannot be unseen. LP: #1128561
  * mgo/worker.go, strings.go, strings_test.go:
    - Simplify keyword search, balance between MongoDB performance
      and search term flexibility. LP: #1108416
  * instroot/usr/share/hockeypuck-mgo/scripts/fix-keywords.js:
    - Update fix keyword script to use above simplified approach.
  * mgo/worker.go:
    - Escape regular expression characters from search terms.
  * cmd/hockeypuck-load/main.go, cmd/hockeypuck-mgo/main.go, config.go,
    log.go, mgo/client.go, mgo/keystats.go, mgo/pks.go, mgo/worker.go,
    pks.go:
    - Using standard logger, reopen log on SIGHUP/SIGUSR1/SIGUSR2.
      LP: #1121700
  * merge.go, mgo/worker.go, pgp.go, pgp_types.go:
    - Fix goroutine leaks in traverse, reading keys.
  * debian/hockeypuck.logrotate:
    - Add logrotate configuration. LP: #1121700
  * debian/control:
    - Add dependencies recommended for a ready-to-run server.
  * mgo/worker.go:
    - Update with reversed fingerprint.
  * mgo/client.go, mgo/worker.go:
    - Fix typo in modified stats aggregation.
      Make stats timestamp index unique.
  * hkp_types.go, instroot/var/lib/hockeypuck/www/templates/header.tmpl,
    mgo/client.go, mgo/pks.go, mgo/worker.go, pks.go, responses.go,
    server.go, status_types.go, templates.go, worker.go,
    instroot/var/lib/hockeypuck/www/templates/pks/stats.tmpl:
    - Change op=status to op=stats. Make distinction between
      "status" and "stats" elsewhere in the codebase while we're at it.
  * responses.go, server.go:
    - Default op=stats HTTP port to 11371, improve Host: parsing.
    - Respond with JSON for mr option if op=stats.
  * debian/copyright:
    - Proper Debian license attribution of all Go library dependencies
      redistributed in source package.

 -- Casey Marshall <casey.marshall@gazzang.com>  Mon, 04 Mar 2013 12:32:38 -0600

hockeypuck (0.8.1.0147~raring) raring; urgency=low

  [ Casey Marshall ]
  * mgo/worker.go, mgo/worker_test.go, pgp.go, pgp_types.go,
    pq/worker.go, responses.go:
    - Updates wrt go.crypto branch packet.Read.
    - Fixed an issue where valid public keys preceding an
      invalid public key were not send to the channel.
      LP: #1090980
  * pgp.go, pgp_types.go:
    - Updated unknown/unsupported packet parsing wrt
      changes in go.crypto merge.

 -- Casey Marshall <casey.marshall@gazzang.com>  Tue, 22 Jan 2013 21:10:03 -0600

hockeypuck (0.8.0147~raring) raring; urgency=low

  [ Casey Marshall ]
  * Opening 0.8 milestone.
  * cmd/lspgp/main.go, cmd/pktdump/main.go, mgo/worker.go,
    mgo/worker_test.go, pgp.go, pgp_types.go, pq/worker.go,
    responses.go:
    - Switch go.crypto from my fork to proper trunk source.
  * instroot/var/lib/hockeypuck/www/fonts/Droid_Sans =>
    instroot-extra/var/lib/hockeypuck/www/fonts/Droid_Sans
    scripts/crossbuild.sh:
    - Move droid sans font out of debian instroot, used only
      in cross-compile tar build.

  [ Dustin Kirkland ]
  * debian/manpages, debian/install, debian/rules,
    instroot/etc/init/hockeypuck-mgo.conf => debian/upstart,
    removed directory instroot/etc/init:
    - A handful of packaging recommendations

 -- Casey Marshall <casey.marshall@gazzang.com>  Tue, 22 Jan 2013 11:00:00 -0600

hockeypuck (0.7.0147~raring) raring; urgency=low

  [ Casey Marshall ]
  * Opening 0.7 milestone.
  * cli/cli.go, cmd/hockeypuck-mgo/main.go, mgo/pks.go, mgo/worker.go,
    pks.go, worker.go:
    - Add support for PKS forwarding. LP: #1075379

