## hockeypuck 1.0~rel20140413+7a1892a~trusty

=== doc/Makefile ===

all:
	./build.sh

fakebuild:
	./fakebuild.sh

deploy: all output/index.html
	./deploy.sh

output/index.html: all

clean:
	$(RM) -r output

.PHONY: all deploy clean
