=== debian/changelog ===
hockeypuck (1.0~rel20140413+7a1892a~trusty) trusty; urgency=medium

  * Hockeypuck 1.0 release

 -- Casey Marshall <cmars@cmarstech.com>  Sun, 13 Apr 2014 20:06:01 -0500

hockeypuck (1.0~rc2~rel20140413+7a1892a~trusty) trusty; urgency=medium

  * Opening 1.0~rc2

 -- Casey Marshall <cmars@cmarstech.com>  Tue, 01 Apr 2014 00:54:51 -0500

hockeypuck (1.0~rc1~rel20140413+7a1892a~trusty) trusty; urgency=low

  [ Casey Marshall ]
  * Opening 1.0~rc1 development.
  * doc/conf.py, doc/stories/community.txt, doc/stories/doc.txt,
    doc/stories/install-tarball.txt, doc/stories/install-ubuntu.txt,
    scripts/crossbuild:
    - Documentation improvements.
    - Fix crossbuild script.
  * doc/stories/doc.txt, doc/stories/pre-populating.txt:
    - Add page on pre-populating Hockeypuck.
  * openpgp/responses.go, openpgp/schema.go, openpgp/sort.go:
    - Use ShortId() instead of fingerprint slice, as v3 keys do not have
      the same length fingerprint.
    - Add indexes on pubkey_uuid for subkey, uid and uat tables.
    - Check for nil selfSignature when sorting uids.
  * openpgp/io.go, openpgp/types.go:
    - Fix state flag values, remove unnecessary validation method.
  * openpgp/worker.go:
    - Support subkey fingerprint search w/PostgreSQL backend.
      LP: #1234774
  * hkp/requests.go, openpgp/add.go, openpgp/index.go,
    openpgp/pubkey.go, openpgp/resolve_test.go, openpgp/responses.go,
    openpgp/signature.go, openpgp/sort.go, openpgp/subkey.go,
    openpgp/userattribute.go, openpgp/userid.go, openpgp/worker.go:
    - SKS-like index & vindex search results page. LP: #1234771
    - Set signature expiration when linking self sigs.
    - Update signature expiration on merge.
  * === added directory doc/files, doc/conf.py, doc/files/gohkp.png,
    renamed directory doc/stories => doc/pages:
    - Revised & restructured documentation.
  * doc/Makefile, doc/deploy.sh, doc/pages/index.txt, doc/pages/install-
    source.txt, doc/pages/install-ubuntu.txt, doc/pages/pre-
    populating.txt:
    - Revised documentation, add http://hockeypuck.github.io doc deploy
      script.
  * cmd/hockeypuck/run.go, hkp/templates.go,
    openpgp/index.go, === removed directory
    instroot/var/lib/hockeypuck/www/templates, router.go:
    - Moved templates into string constants. Make webroot optional for
      CSS and fonts, but not essential to running the service.
  * instroot/usr/share/man/man1/hockeypuck.1:
    - Update man page to match new subcommand CLI.
  * cmd/hockeypuck/delete.go, cmd/hockeypuck/load.go,
    cmd/hockeypuck/main.go, dependencies.tsv, Makefile, openpgp/add.go,
    openpgp/db.go, openpgp/io_test.go, openpgp/loader.go,
    openpgp/merge.go, openpgp/merge_test.go:
    - Fixed a defect in MergeKey where signatures were not merged.
    - Added 'hockeypuck delete' subcommand.
    - Using godeps to freeze dependencies.
    - Insert if not exists for non-bulk loading key inserts.
  * === added directory charms:
    - Add juju charms for hockeypuck & sks. LP: #1233812
  * - Denormalized signatures in schema.
    - Improve delete command to lookup by fingerprint.
    - Introduced errgo for improved error tracing.
    - Parameterized upload dump file load playbooks in int-tests.
    - More openpgp round-trip db test cases.

 -- Casey Marshall <cmars@cmarstech.com>  Fri, 04 Oct 2013 15:15:24 -0500

hockeypuck (1.0~b2~bzr267~precise~rel20140413+7a1892a~trusty) trusty; urgency=low

  [ Casey Marshall ]
  * Opening 1.0~b1 development and a bottle of
    Maker's. SKS reconciliation now working in
    the small. Cheers!
  * cmd/sks-hash/main.go, instroot/etc/hockeypuck/hockeypuck.conf,
    openpgp/recon.go, openpgp/responses.go, openpgp/validate.go,
    openpgp/worker.go:
    - Add commented-out SKS recon configuration stanza.
    - Check errors in prefix tree insert/remove.
    - Fixed Worker.LookupKey to correctly return error.
    - go fmt
  * cmd/hockeypuck-load/main.go:
    - Add -drop and -take command line arguments to help
      create synchronization test cases.
  * **/*.go, openpgp/doc.go:
    - Add/fix package godoc comments. LP: #1117274
    - Update debug utility commands wrt openpgp changes.
  * === removed directory cmd/lspgp, === removed directory cmd/pqtest:
    - Removed unused 'spike' debug utilities, no longer useful. 
  * openpgp/recon.go:
    - Fix deadlock when adding keys from SKS recon.
  * debian/mkdists:
    - Packaging script should fail on error.
  * openpgp/recon.go:
    - Add previously missing elements to prefix tree.
  * hkp/requests.go, openpgp/add.go, openpgp/io.go, openpgp/recon.go,
    openpgp/responses.go, openpgp/schema.go, openpgp/types.go,
    openpgp/worker.go:
    - Add fallback to track unsupported keys discovered through
      gossip. LP: #1208290
    - Initialize current digests in KeyChange for defined behavior in
      change consumers.
  * cmd/hockeypuck-load/main.go, openpgp/recon.go:
    - Log public key digest when loading.
    - Removed key reversal to match latest conflux Zp byte ordering fix.
  * cmd/hockeypuck-load/main.go, hkp/requests.go, openpgp/add.go,
    openpgp/recon.go, openpgp/worker.go:
    - Fix off-by-one in drop, take flags of hockeypuck-load. Fix i386
      compile issue with max int.
    - Workaround some concurrency issues between adding keys, recon recovery,
      and incoming queries.
  * openpgp/add.go, openpgp/recon.go, openpgp/worker.go:
    - Fix goroutine leak from early exit while enumerating keys.
    - Multiplex peer recovery to goroutines aggregating recovery requests,
      one per peer.
    - Refactored HKP host:port derivation from recon.Recover into conflux.
    - go fmt.
  * openpgp/validate.go:
    - Add hockeypuck.openpgp.strict option to reject key material containing
      *anything* we can't parse. Useful for peering with SKS, as we can
      track recovered unsupported keys for future reloading. LP: #1208290
  * cmd/hockeypuck/main.go, cmd/sks-hash/main.go, hkp/requests.go,

