=== debian/rules ===
#!/usr/bin/make -f

%:
	GOPATH=$(shell pwd)/build dh $@
