=== debian/changelog ===
hockeypuck (1.0~rel20140413+7a1892a~trusty.1) utopic; urgency=medium

  * Drop unnecessary upstart recommends, the package has an init.d script as
    well which is supported by all init systems. (LP: #1351306)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Sep 2014 09:44:14 +0200
