=== build/src/github.com/hockeypuck/hockeypuck/debian/control ===
Source: hockeypuck
Section: net
Priority: optional
Maintainer: Casey Marshall <cmars@cmarstech.com>
Build-Depends: debhelper (>= 8.0.0), golang-go (>= 2:1.1)
Standards-Version: 3.9.5
Homepage: https://hockeypuck.github.io/

Package: hockeypuck
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Recommends:
 logrotate, upstart, fonts-droid
Suggests:
 postgresql
Description: OpenPGP Key Server
 Hockeypuck is an OpenPGP Key Server implementing the HTTP Keyserver Protocol.
