## hockeypuck 1.0~rel20140413+7a1892a~trusty.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 all: compile
 
 compile:
-	GOPATH=$(shell pwd)/build go install -ldflags "-X ${PACKAGE}.Version ${VERSION}" ${PACKAGE}/cmd/hockeypuck
+	GOPATH=$(shell pwd)/build go install -ldflags "-X ${PACKAGE}.Version=${VERSION}" ${PACKAGE}/cmd/hockeypuck
 	make -C doc fakebuild
 
 build:
