=== debian/changelog ===
hockeypuck (1.0~rel20140413+7a1892a~trusty.2) focal; urgency=medium

  * Fix FTBFS:
    - debian/rules: Export a home directory to fix build cache initialization.
    - Makefile: Fix usage of -X flag for Go 1.5+.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 25 Feb 2020 21:42:13 -0500
