=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hockeypuck
 Section: net
 Priority: optional
-Maintainer: Casey Marshall <cmars@cmarstech.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Casey Marshall <cmars@cmarstech.com>
 Build-Depends: debhelper (>= 8.0.0), golang-go (>= 2:1.1)
 Standards-Version: 3.9.5
 Homepage: https://hockeypuck.github.io/
