=== debian/rules ===
#!/usr/bin/make -f

export HOME = $(CURDIR)

%:
	GOPATH=$(shell pwd)/build dh $@
